<?php 

// Search Text
$searchText = "";
if(isset($_POST['search'])){
	$searchText = strtolower($_POST['search']);
}

// Load XML File
$doc = new DOMDocument();
$doc->load('xmlfile.xml');
$xpath = new DOMXPath($doc);

// Register PHP function
$xpath->registerNamespace('php', 'http://php.net/xpath');
$xpath->registerPhpFunctions('strtolower'); // Allow all PHP functions

// Execute query and select "id" node
$results = $xpath->query("//employee[contains(php:functionString('strtolower',name), '$searchText')]/*");

$ids_arr = array();
$count = 0;
$response = array();
foreach ($results as $val){

	if($val->tagName == 'id'){
		$response[$count]['value'] = $val->nodeValue;
	}
	if($val->tagName == 'name'){
		$response[$count]['label'] = $val->nodeValue;
		$count++;
	}
    
}

echo json_encode($response);
exit;