<!DOCTYPE html>
<html>
<head>
	<title>How to load XML data in jQuery UI autocomplete with PHP</title>
   
	<!-- jQuery UI CSS --> 
	<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css"> 
	
	<!-- jQuery --> 
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

	<!-- jQuery UI JS --> 
	<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
</head>
<body>

	<table>
        <tr>
            <td>Search employee</td>
            <td><input type='text' id='search_employee' ></td>
        </tr>

        <tr>
            <td>Selected Employee id</td>
            <td><input type='text' id='selectemployee_id' /></td>
        </tr>

    </table>

	<!-- Script -->
	<script type="text/javascript">
	$(document).ready(function(){

		$( "#search_employee" ).autocomplete({
            source: function( request, response ) {
                
                $.ajax({
                    url: "ajaxfile.php",
                    type: 'post',
                    dataType: "json",
                    data: {
                        search: request.term
                    },
                    success: function( data ) {
                        response( data );
                    }
                });
            },
            select: function (event, ui) {
                $('#search_employee').val(ui.item.label); // display the selected text
                $('#selectemployee_id').val(ui.item.value); // save selected id to input
                return false;
            },
            focus: function(event, ui){
                $( "#search_employee" ).val( ui.item.label );
                $( "#selectemployee_id" ).val( ui.item.value );
                return false;
            },
        });
	});
	</script>
</body>
</html>